<?php
if(!isset($lang->budget)) $lang->budget = new stdclass();
$lang->budget->common      = '预算';
$lang->budget->browse      = '浏览预算';
$lang->budget->create      = '新建预算';
$lang->budget->batchCreate = '批量新建';
$lang->budget->edit        = '编辑预算';
$lang->budget->view        = '预算详情';
$lang->budget->delete      = '删除预算';
$lang->budget->report      = '预算报表';
$lang->budget->list        = '列表';
$lang->budget->basic       = '基本信息';
$lang->budget->detail      = '详细信息';
$lang->budget->export      = '导出';
$lang->budget->share       = '分摊';
$lang->budget->yearBudget  = '年预算';
$lang->budget->monthBudget = '月预算';
$lang->budget->weekBudget  = '周预算';
$lang->budget->average     = '均摊';

$lang->budget->id           = '编号';
$lang->budget->year         = '年份';
$lang->budget->month        = '月份';
$lang->budget->week         = '周';
$lang->budget->dept         = '部门';
$lang->budget->amebaAccount = '类型';
$lang->budget->tradeDept    = '交易对象';
$lang->budget->line         = '产品线';
$lang->budget->product      = '产品';
$lang->budget->category     = '科目';
$lang->budget->money        = '金额';
$lang->budget->desc         = '说明';
$lang->budget->createdBy    = '由谁创建';
$lang->budget->createdDate  = '创建日期';
$lang->budget->editedBy     = '最后编辑';
$lang->budget->editedDate   = '编辑日期';
$lang->budget->shareRate    = '分摊比例(%)';
$lang->budget->shareMoney   = '分摊金额';

$lang->budget->item         = '项目';
$lang->budget->itemCategory = '明细科目';
$lang->budget->income       = '收入';
$lang->budget->expense      = '支出';
$lang->budget->total        = '总计';
$lang->budget->profit       = '利润';
$lang->budget->profitRate   = '利润率';
$lang->budget->rate         = '变动比';
$lang->budget->lastMoney    = '上年金额';

$lang->budget->monthList['01'] = '1月';
$lang->budget->monthList['02'] = '2月';
$lang->budget->monthList['03'] = '3月';
$lang->budget->monthList['04'] = '4月';
$lang->budget->monthList['05'] = '5月';
$lang->budget->monthList['06'] = '6月';
$lang->budget->monthList['07'] = '7月';
$lang->budget->monthList['08'] = '8月';
$lang->budget->monthList['09'] = '9月';
$lang->budget->monthList['10'] = '10月';
$lang->budget->monthList['11'] = '11月';
$lang->budget->monthList['12'] = '12月';

$lang->budget->weekList[1] = '第1周';
$lang->budget->weekList[2] = '第2周';
$lang->budget->weekList[3] = '第3周';
$lang->budget->weekList[4] = '第4周';
$lang->budget->weekList[5] = '第5周';
$lang->budget->weekList[6] = '第6周';

$lang->budget->amebaAccountList['externalIncome']  = '外部收入';
$lang->budget->amebaAccountList['internalIncome']  = '内部收入';
$lang->budget->amebaAccountList['internalDeal']    = '巴巴交易';
$lang->budget->amebaAccountList['internalExpense'] = '巴内支出';
$lang->budget->amebaAccountList['shareExpense']    = '公共分摊';
$lang->budget->amebaAccountList['total']           = '总计';

$lang->budget->totalMoney = '预算金额总计 %s ；';

$lang->budget->tips = new stdclass();
$lang->budget->tips->empty = '必填项为空的记录不会被保存。';
$lang->budget->tips->desc  = '提升销售额的途径如拓展新客户、新业务、新产品、新区域、新模式，提升现有客户续单率、升级率、新增授权等。';
$lang->budget->tips->share = '由%s分摊，分摊比例%s，分摊金额%s。';

$lang->budget->error = new stdclass();
$lang->budget->error->exist            = '已经有相同年份和科目的预算存在。';
$lang->budget->error->tradeDeptError   = '<strong>交易对象</strong>和部门不能为同一个。';
$lang->budget->error->cannotEdit       = '月预算和周预算不可以编辑，请通过月预算或者周预算功能批量修改。';
$lang->budget->error->cannotDelete     = '月预算和周预算不可以删除，请通过月预算或者周预算功能批量修改。';
$lang->budget->error->rateError        = '分摊比例不能小于等于0%或者大于100%。';
$lang->budget->error->totalRateError   = '分摊比例之和不能大于100%。';
$lang->budget->error->accessDenied     = '您没有权限操作其他部门的预算。';
$lang->budget->error->emptyYearBudget  = '请先添加年预算。';  
$lang->budget->error->emptyMonthBudget = '请先添加月预算。';  
$lang->budget->error->emptyDept        = '您只能操作自己部门的预算，请先设置您的部门。';  

$lang->ameba_budget = $lang->budget;

$lang->excel->title->budget = '预算';
