<table class='companyInfo hide'>
  <tbody>
    <tr>
      <th><?php echo $lang->contract->company;?></th>
      <td><?php echo zget($companies, $contract->company, '');?></td>
    </tr>
  </tbody>
</table>

<?php if($moduleType == 'contract' && !empty($contract->quotations)):?>
<div id='quotationBox' class='hide'>
  <div class='panel panel-block'>
    <div class='panel-heading'><strong><?php echo $lang->contract->quotation;?></strong></div>
    <?php foreach($contract->quotations as $quotationID => $quotation):?>
    <div class='panel-body'>
      <table class='table table-bordered'>
        <thead>
          <tr class='text-center'>
            <th colspan='5'>
              <?php echo $quotation->name;?>
              <?php commonModel::printLink('contract', 'editQuotation', "contractID={$contract->id}&quotationID=$quotationID", "<i class='icon-pencil'></i>", "data-toggle='modal' title='{$lang->edit}'", '', true);?>
            </th>
          </tr>
          <tr class='text-center'>
            <th><?php echo $lang->orderProduct->product;?></th>
            <th class='w-60px'><?php echo $lang->orderProduct->unit;?></th>
            <th class='w-100px'><?php echo $lang->orderProduct->price;?></th>
            <th class='w-100px'><?php echo $lang->orderProduct->amount;?></th>
            <th class='w-100px'><?php echo $lang->orderProduct->money;?></th>
          </tr>
        </thead>
        <?php foreach($quotation->orderProducts as $orderProduct):?>
        <tr class='text-center'>
          <?php $productName = zget($products, $orderProduct->product);?>
          <td title='<?php echo $productName;?>'>
            <?php if(!commonModel::printLink('product', 'view', "id={$orderProduct->product}", $productName)) echo $productName;?>
          </td>
          <td><?php echo $orderProduct->unit;?></td>
          <td><?php echo $orderProduct->price;?></td>
          <td><?php echo $orderProduct->amount;?></td>
          <td><?php echo $orderProduct->money;?></td>
        </tr>
        <?php endforeach;?>
        <tr class='text-center'>
          <th colspan='3'></th>
          <th><?php echo $lang->order->total;?></th>
          <td><?php echo $quotation->amount;?></td>
        </tr>
      </table>
    </div>
    <?php endforeach;?>
    </div> 
  </div>
</div>
<?php endif;?>

<?php
js::set('contractID', $contract->id);

$expenseBtn = '';
$invoiceBtn = '';
$quoteBtn   = '';
$psiBtns    = '';
$btnGroups  = '';

$createInvoice = 'create' . $contract->type;
if(commonModel::hasPriv('contract', 'expense'))                                          $expenseBtn = html::a(inlink('expense', "contractID=$contract->id"), $lang->contract->expense, "class='btn' data-toggle='modal' data-width='600'");
if(commonModel::hasPriv('contract', 'invoice') && $contract->invoiceCount > 0 )          $invoiceBtn = html::a(inlink('invoice', "contractID={$contract->id}"), $lang->contract->invoiceList, "class='invoice-list btn' data-toggle='modal' data-width='80%'", false);
if(commonModel::hasPriv('crm.invoice', $createInvoice) && $contract->invoiceCount == 0 ) $invoiceBtn = html::a($this->createLink('crm.invoice', $createInvoice, "customerID=&contractID={$contract->id}"), $lang->contract->invoiceList, "class='invoice-list btn'", false);
if(commonModel::hasPriv('contract', 'createQuotation') && $moduleType == 'contract')     $quoteBtn   = html::a(inlink('createQuotation', "contractID=$contract->id"), $lang->contract->quotation, "class='btn' data-toggle='modal'");
if(commonModel::hasPriv('psi.sale', 'create') && $moduleType == 'contract')              $psiBtns   .= html::a(helper::createLink('psi.sale', 'create', "contractID=$contract->id"), $lang->contract->sale, "class='btn psiBtn'");
if(commonModel::hasPriv('psi.purchase', 'create'))                                       $psiBtns   .= html::a(helper::createLink('psi.purchase', 'create', "contractID=$contract->id"), $lang->contract->purchase, "class='btn psiBtn'");

if($invoiceBtn or $quoteBtn or $psiBtns) $btnGroups = "{$invoiceBtn}{$quoteBtn}{$psiBtns}<div class='divider'></div>";
?>
<?php if($btnGroups):?>
<style>
.main-col .main-actions .btn-toolbar .btn{padding-left: 5px; padding-right: 5px;}
</style>
<?php endif;?>

<script>
<?php if($moduleType == 'contract'):?>
if($('#quotationBox').length) $('.main-row .main-col div:first').after($('#quotationBox').html());
<?php endif;?>

<?php if($expenseBtn):?>
$('.main-actions .btn-toolbar').find('[href*=createRecord]').after(<?php echo helper::jsonEncode($expenseBtn);?>);
<?php endif;?>

<?php if($btnGroups):?>
$('.main-actions .btn-toolbar #backButton').next('.divider').after(<?php echo helper::jsonEncode($btnGroups);?>);
<?php endif;?>

$('.side-col .table-data:first tr:first').after($('.companyInfo tbody').html());
</script>
